com.io7m.jcamera

## Class JCameraRotationCoefficients

- java.lang.Object
- - com.io7m.jcamera.JCameraRotationCoefficients

- All Implemented Interfaces:
    JCameraRotationCoefficientsType

      @Generated(value={"Immutables.generator","JCameraRotationCoefficientsType"})
      public final class JCameraRotationCoefficients
      extends Object
      implements JCameraRotationCoefficientsType

  A pair of rotation coefficients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCameraRotationCoefficients.Builder` Builds instances of type `JCameraRotationCoefficients`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCameraRotationCoefficients.Builder` | `builder()` Creates a builder for `JCameraRotationCoefficients`.
    `static JCameraRotationCoefficients` | `copyOf(JCameraRotationCoefficientsType instance)` Creates an immutable copy of a `JCameraRotationCoefficientsType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCameraRotationCoefficients` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `horizontal`, `vertical`.
    `double` | `horizontal()`
    `static JCameraRotationCoefficients` | `of(double horizontal, double vertical)` Construct a new immutable `JCameraRotationCoefficients` instance.
    `String` | `toString()` Prints the immutable value `JCameraRotationCoefficients` with attribute values.
    `double` | `vertical()`
    `JCameraRotationCoefficients` | `withHorizontal(double value)` Copy the current immutable object by setting a value for the `horizontal` attribute.
    `JCameraRotationCoefficients` | `withVertical(double value)` Copy the current immutable object by setting a value for the `vertical` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### horizontal

          public double horizontal()

      Specified by:
        `horizontal` in interface `JCameraRotationCoefficientsType`
      Returns:
        The horizontal coefficient

    - #### vertical

          public double vertical()

      Specified by:
        `vertical` in interface `JCameraRotationCoefficientsType`
      Returns:
        The vertical coefficient

    - #### withHorizontal

          public final JCameraRotationCoefficients withHorizontal(double value)

      Copy the current immutable object by setting a value for the `horizontal` attribute. A value strict bits equality used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for horizontal
      Returns:
        A modified copy of the `this` object

    - #### withVertical

          public final JCameraRotationCoefficients withVertical(double value)

      Copy the current immutable object by setting a value for the `vertical` attribute. A value strict bits equality used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for vertical
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCameraRotationCoefficients` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `horizontal`, `vertical`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCameraRotationCoefficients` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JCameraRotationCoefficients of(double horizontal,
                                                       double vertical)

      Construct a new immutable `JCameraRotationCoefficients` instance.
      Parameters:
        `horizontal` - The value for the `horizontal` attribute
        `vertical` - The value for the `vertical` attribute
      Returns:
        An immutable JCameraRotationCoefficients instance

    - #### copyOf

          public static JCameraRotationCoefficients copyOf(JCameraRotationCoefficientsType instance)

      Creates an immutable copy of a `JCameraRotationCoefficientsType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable JCameraRotationCoefficients instance

    - #### builder

          public static JCameraRotationCoefficients.Builder builder()

      Creates a builder for `JCameraRotationCoefficients`.
      Returns:
        A new JCameraRotationCoefficients builder

Copyright © 2017 <code@io7m.com> http://io7m.com